load("fruit.rda")
dim(fruit)
table(fruit$cultivar)

grp <- fruit$cultivar
X <- fruit[,-257]

pca <- PcaClassic(X)
screeplot(pca)

windows(10,10)
opar <- par(mfrow=c(2,2))
plot(pca <- PcaClassic(X, k=5), main="Fruit data")
plot(pca1 <- PcaClassic(X[grp=="D",], k=5), main="Cultivar D")
plot(pca2 <- PcaClassic(X[grp=="M",], k=5), main="Cultivar M")
plot(pca3 <- PcaClassic(X[grp=="HA",], k=5), main="Cultivar HA")
par(opar)

windows(10,10)
opar <- par(mfrow=c(2,2))
plot(rpc <- PcaHubert(X, k=5, alpha=0.5), main="Fruit data")
plot(rpc1 <- PcaHubert(X[grp=="D",], k=5, alpha=0.5), main="Cultivar D")
plot(rpc2 <- PcaHubert(X[grp=="M",], k=5, alpha=0.5), main="Cultivar M")
plot(rpc3 <- PcaHubert(X[grp=="HA",], k=5, alpha=0.5), main="Cultivar HA")
par(opar)
