library(rrcov)
data(machines)
rownames(machines) <- NULL
rpc1 <- PcaHubert(machines, k=3, scale=TRUE, mcd=FALSE)
plot(rpc1)

rpc2 <- PcaHubert(machines, k=3, scale=TRUE, mcd=TRUE)
plot(rpc2)

set.seed(123456)
rpc3 <- PcaHubert(machines, k=3, scale=TRUE, mcd=FALSE, skew=TRUE, maxdir=1000)
plot(rpc3)
